]> git.sur5r.net Git - openldap/commitdiff
cleanup --with-tls handle
authorKurt Zeilenga <kurt@openldap.org>
Fri, 17 Feb 2006 22:46:22 +0000 (22:46 +0000)
committerKurt Zeilenga <kurt@openldap.org>
Fri, 17 Feb 2006 22:46:22 +0000 (22:46 +0000)
build/openldap.m4
configure
configure.in

index d55dabda2dc156c4c0577d38f903a6ee1e7891cb..33fb69399b0f001d9cb187f905dd868b2b9d6be6 100644 (file)
@@ -1439,17 +1439,16 @@ AC_DEFUN([OL_SASL_COMPAT],
 dnl ====================================================================
 dnl check for SSL compatibility
 AC_DEFUN([OL_SSL_COMPAT],
-[AC_CACHE_CHECK([OpenSSL library version (CRL checking capability)], [ol_cv_ssl_crl_compat],[
-       AC_EGREP_CPP(__ssl_compat,[
+[AC_CACHE_CHECK([OpenSSL library version (CRL checking capability)],
+       [ol_cv_ssl_crl_compat],[
+               AC_EGREP_CPP(__ssl_compat,[
 #ifdef HAVE_OPENSSL_SSL_H
 #include <openssl/ssl.h>
-#else
-#include <ssl.h>
 #endif
 
 /* Require 0.9.7d+ */
 #if OPENSSL_VERSION_NUMBER >= 0x0090704fL
        char *__ssl_compat = "0.9.7d";
 #endif
-       ],      [ol_cv_ssl_crl_compat=yes], [ol_cv_ssl_crl_compat=no])])
+       ], [ol_cv_ssl_crl_compat=yes], [ol_cv_ssl_crl_compat=no])])
 ])
index 2c438cabf4692ae0610a77f0f2ef9679901b2588..ad3217c943c0b10226009762094b8e45ceb8a9bf 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in OpenLDAP: pkg/ldap/configure.in,v 1.626 2006/02/10 07:21:09 kurt Exp .
+# From configure.in OpenLDAP: pkg/ldap/configure.in,v 1.628 2006/02/13 01:24:33 lukeh Exp .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.59.
 #
@@ -5764,7 +5764,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 5740 "configure"' > conftest.$ac_ext
+  echo '#line 5767 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -7744,11 +7744,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7720: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7747: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7724: \$? = $ac_status" >&5
+   echo "$as_me:7751: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8006,11 +8006,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7982: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8009: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7986: \$? = $ac_status" >&5
+   echo "$as_me:8013: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8068,11 +8068,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8044: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8071: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:8048: \$? = $ac_status" >&5
+   echo "$as_me:8075: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10316,7 +10316,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10292 "configure"
+#line 10319 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10414,7 +10414,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10390 "configure"
+#line 10417 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -19309,8 +19309,12 @@ echo "$as_me: error: Kerberos detection failed" >&2;}
 fi
 
 
+if test $ol_with_tls = yes ; then
+       ol_with_tls=auto
+fi
+
 ol_link_tls=no
-if test $ol_with_tls != no ; then
+if test $ol_with_tls = openssl || test $ol_with_tls = auto ; then
 
 for ac_header in openssl/ssl.h
 do
@@ -19610,7 +19614,7 @@ fi
                fi
 
                if test $have_openssl = yes ; then
-                       ol_with_tls=found
+                       ol_with_tls=openssl
                        ol_link_tls=yes
 
 
@@ -19630,14 +19634,14 @@ _ACEOF
                        else
                                TLS_LIBS="-lssl -lcrypto"
                        fi
-               fi
-               echo "$as_me:$LINENO: checking OpenSSL library version (CRL checking capability)" >&5
+
+                       echo "$as_me:$LINENO: checking OpenSSL library version (CRL checking capability)" >&5
 echo $ECHO_N "checking OpenSSL library version (CRL checking capability)... $ECHO_C" >&6
 if test "${ol_cv_ssl_crl_compat+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
-       cat >conftest.$ac_ext <<_ACEOF
+               cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
@@ -19646,8 +19650,6 @@ cat >>conftest.$ac_ext <<_ACEOF
 
 #ifdef HAVE_OPENSSL_SSL_H
 #include <openssl/ssl.h>
-#else
-#include <ssl.h>
 #endif
 
 /* Require 0.9.7d+ */
 echo "$as_me:$LINENO: result: $ol_cv_ssl_crl_compat" >&5
 echo "${ECHO_T}$ol_cv_ssl_crl_compat" >&6
 
-               if test $ol_cv_ssl_crl_compat = no ; then
-                       ol_link_ssl=no
-                else
+                       if test $ol_cv_ssl_crl_compat = yes ; then
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_OPENSSL_CRL 1
 _ACEOF
 
+                       fi
                fi
        fi
-
-else
-       { echo "$as_me:$LINENO: WARNING: TLS data protection not supported!" >&5
-echo "$as_me: WARNING: TLS data protection not supported!" >&2;}
 fi
 
 WITH_TLS=no
@@ -19692,17 +19689,18 @@ cat >>confdefs.h <<\_ACEOF
 _ACEOF
 
        WITH_TLS=yes
-
 elif test $ol_with_tls = auto ; then
        { echo "$as_me:$LINENO: WARNING: Could not locate TLS/SSL package" >&5
 echo "$as_me: WARNING: Could not locate TLS/SSL package" >&2;}
        { echo "$as_me:$LINENO: WARNING: TLS data protection not supported!" >&5
 echo "$as_me: WARNING: TLS data protection not supported!" >&2;}
-
 elif test $ol_with_tls != no ; then
        { { echo "$as_me:$LINENO: error: Could not locate TLS/SSL package" >&5
 echo "$as_me: error: Could not locate TLS/SSL package" >&2;}
    { (exit 1); exit 1; }; }
+else
+       { echo "$as_me:$LINENO: WARNING: TLS data protection not supported!" >&5
+echo "$as_me: WARNING: TLS data protection not supported!" >&2;}
 fi
 
 if test $ol_enable_lmpasswd != no; then
@@ -45282,6 +45280,7 @@ fi
 
 
 
+
 
 
 # Check whether --with-xxinstall or --without-xxinstall was given.
index 9e064acc9a6c2a80361fdc007e2d00e7f35b8f89..5eb2f4776e7e095e26ff5b2861a39242f55436c1 100644 (file)
@@ -1324,8 +1324,12 @@ fi
 dnl ----------------------------------------------------------------
 dnl TLS/SSL
        
+if test $ol_with_tls = yes ; then
+       ol_with_tls=auto
+fi
+
 ol_link_tls=no
-if test $ol_with_tls != no ; then
+if test $ol_with_tls = openssl || test $ol_with_tls = auto ; then
        AC_CHECK_HEADERS(openssl/ssl.h)
 
        if test $ac_cv_header_openssl_ssl_h = yes ; then
@@ -1342,7 +1346,7 @@ if test $ol_with_tls != no ; then
                fi
 
                if test $have_openssl = yes ; then
-                       ol_with_tls=found
+                       ol_with_tls=openssl
                        ol_link_tls=yes
 
                        AC_DEFINE(HAVE_OPENSSL, 1, 
@@ -1356,31 +1360,27 @@ if test $ol_with_tls != no ; then
                        else
                                TLS_LIBS="-lssl -lcrypto"
                        fi
-               fi
-               OL_SSL_COMPAT
-               if test $ol_cv_ssl_crl_compat = no ; then
-                       ol_link_ssl=no
-                else 
-                       AC_DEFINE(HAVE_OPENSSL_CRL, 1, 
-                               [define if you have OpenSSL with CRL checking capability])
+
+                       OL_SSL_COMPAT
+                       if test $ol_cv_ssl_crl_compat = yes ; then
+                               AC_DEFINE(HAVE_OPENSSL_CRL, 1, 
+                                       [define if you have OpenSSL with CRL checking capability])
+                       fi
                fi
        fi
-
-else
-       AC_MSG_WARN([TLS data protection not supported!])
 fi
 
 WITH_TLS=no
 if test $ol_link_tls = yes ; then
        AC_DEFINE(HAVE_TLS, 1, [define if you have TLS])
        WITH_TLS=yes
-
 elif test $ol_with_tls = auto ; then
        AC_MSG_WARN([Could not locate TLS/SSL package])
        AC_MSG_WARN([TLS data protection not supported!])
-
 elif test $ol_with_tls != no ; then
        AC_MSG_ERROR([Could not locate TLS/SSL package])
+else
+       AC_MSG_WARN([TLS data protection not supported!])
 fi
 
 dnl ----------------------------------------------------------------